Subject: Re: This week work

From: Zheng Gengbing <[email-masked]>
Date: Mon, 22 Apr 1996 17:40:33 +0800 (EAT)

On Sun, 21 Apr 1996, Guansong Zhang wrote:

> Since we don't get an unified f90.y last week, we have to put it as the top
> priority of our work in this week. And especially yacc rules need to be
> unified. Not only because we need to improve it immediately, but also it's not
> something  like yacc actions, which can be worked on in parallel way.
>

> Other things we need to do in this week:
> 
> 1. fixing bugs, I will work with hit on i/o part first, so they won't affect
> next step merging.
>

	My co-worker will contact you about the modification of I/O part .

> 2. Classifing test examples, I will use the following convention to name each
> examples:
> 	name1x.f: program with syntax error
> 	namebx.f: program parsed by our parser, bugs in .dep
> 	name0x.f: no bugs in .dep, unparsed, unknow about semantics checking.
> 
> 	name01.f: unparsed, but there is semantics error
> 	name00.f: unparsed, no semantic error.
> 

	I donot quite understand your naming rule . Which letter is
variable , 'x' ?

> (we need to provid all these kind program in demo.)
> 
> I hope pku can list out what is test in hpfcc, so organized test can be made to
> see if we have name0b.f.
> 

	We have implemented almost all sematic checks on constains of every
rule. I don't know if we should provide samples with semantic errors or
without ?

> 3, In 1.1, hpfcc change the .dep hpf2dep generated. In 1.37, I noticed that 
> the
> changing take place in hpf2dep. (concerned with intrisinc call.) So can I
> suppose the combine of hpf2dep and hpfcc is finished?
> 
> It doesn't matter we have both hpf2dep and hpfcc as long as hpfcc doesn't
> changing the results of hpf2dep. If now it is the case, I think no further work
> is necessary. Even we need to put them together, that is something a peice of
> cake.
> 

	I think the combination will be easy . But I don't think it is 
something like a piece of cake . Because we will deal some subtle issues  
brought by the deletion of dep file which act as a intermediate file.

***************************************************************************
*     Zheng Gengbin                 *                                     *
*                                   *                                     *
*  Dept. of Computer Science        *  Phone:  86-10-2585088              *
*         & Technology              *  Email:                             *
*                                   *      [email-masked]   *
*  Peking University P.R.China      *  Mail:                              *
*                                   *      Room 1077 ,Building 47,        *
*                                   *      Peking University, P.R.China   *
***************************************************************************

---

From: Zheng Gengbing <[email-masked]>
Date: Wed, 24 Apr 1996 17:02:00 +0800 (EAT)

On Mon, 22 Apr 1996, Guansong Zhang wrote:

> > rule.
> Don't be that sure, Prof. Li already find out some thing you don't check.
>

	Compared to the large quantity of the constraints of the rules,
I think we almost have done most of them . But I admitted that the work of
my co-work who is responsible for the HPF directive  did not be conducted 
very well . He has now given his work up . 

	We do have many loopholes I believe . So we are now still improving . 
If you find them , please contact to me . I will correct them .   

> 
> Prof. Li has another idea, we may just let the hpf2dep and hpfcc seperately on
> demo, so the work of semantics checking can be emphasized. In that case, I hope
> hpfcc won't change the tags and main tree links result from hpf2dep (through
> some field may be changed or added). So the unparse can deal with them
> unanimously.
> 

	So I think to make a merged yacc which we all can work based on is
very important.